%define major 1
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Summary:	Mesa libGLU library
Name:		glu
Version:	9.0.0
Release:	7
License:	MIT
Group:		System/Libraries
Url:		http://mesa3d.org/
# snapshot only at this point
Source0:	ftp://ftp.freedesktop.org/pub/mesa/glu/%{name}-%{version}.tar.bz2
Source2:	make-git-snapshot.sh
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig(gl)

%description
Mesa implementation of the standard GLU OpenGL utility API.

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Files for Mesa (GLU libs)
Group:		System/Libraries
Provides:	libmesaglu = %{EVRD}
%rename		%{_lib}mesaglu1

%description -n %{libname}
GLU is the OpenGL Utility Library.

It provides a number of functions upon the base OpenGL library to provide
higher-level drawing routines from the more primitive routines provided by
OpenGL.

%files -n %{libname}
%{_libdir}/libGLU.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for GLU libs
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	libmesaglu-devel = %{EVRD}
Provides:	mesaglu-devel = %{EVRD}
%rename		%{_lib}mesaglu1-devel

%description -n %{devname}
This package contains the headers needed to compile programs with GLU.

%files -n %{devname}
%{_includedir}/GL/glu.h
%{_includedir}/GL/glu_mangle.h
%{_libdir}/libGLU.so
%{_libdir}/pkgconfig/glu.pc

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std
rm -rf %{buildroot}%{_datadir}/man/man3/gl[A-Z]*


%changelog
* Tue Feb 24 2015 Eugene Shatokhin <eugene.shatokhin@rosalab.ru> 9.0.0-7
+ Revision: cfce94d
- Properly mark the packages as the replacement for lib(64)mesaglu*
- May help if someone wants to upgrade the system from ROSA 2012 LTS
- to ROSA R3 or newer.


